
Foreman - Bug #27025

Validate JSON keyfile for authentication as P12 keyfile deprecated 

06/12/2019 12:12 PM - Kavita Gaikwad

Status: Closed   

Priority: Low   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6953

  

Description

As .p12 key deprecated, to connect google compute resource now it requires JSON key.

So, it would be good to validate key content to warn users to use correct key.

Associated revisions

Revision f5ce548a - 08/15/2019 02:51 PM - Kavita Gaikwad

Fixes #27025 - validate GCE key format (#6953)

History

#1 - 06/12/2019 12:13 PM - Kavita Gaikwad

- Priority changed from Normal to Low

#2 - 08/06/2019 10:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6953 added

#3 - 08/15/2019 02:51 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/15/2019 03:01 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset f5ce548a79d86fa8b6e49084590febb7604c2097.
